New ways to do familiar tasks

The following table lists common tasks for Performance Logs and Alerts (hosted in the Performance console, named Perfmon.msc) and maps where you can perform the tasks in Windows XP and Windows 2000. For existing Performance Monitor (Perfmon.exe) users, the table also shows where these tasks are performed in Windows NT 4.0. Many of the toolbar buttons remain the same in the three versions and can be used instead of the steps listed in this table.

If you want to | In Windows NT 4.0 use | In Windows 2000 or Windows XP use
Create a log. | Performance Monitor on the Administrative Tools menu. | Performance Logs and Alerts in the Performance console or under System Tools in Computer Management, started from Administrative Tools.
View log data. | Performance Monitor on the Administrative Tools menu. | System Monitor in the Performance console, started from Administrative Tools.
Create an alert. | Performance Monitor on the Administrative Tools menu. | Performance Logs and Alerts in the Performance console or under System Tools in Computer Management, started from Administrative Tools.

Related Topics


How to...

  • Create and configure counter logs
  • Create and configure trace logs
  • Create and configure alerts
  • Work with logs and alerts
  • Work with data
  • Work with settings


Concepts

This section provides general background information about Performance Logs and Alerts:

  • Performance Logs and Alerts overview
  • Understanding Performance Logs and Alerts
  • Using Performance Logs and Alerts
  • Administering Performance


Understanding Performance Logs and Alerts

This section describes the design and operation of Performance Logs and Alerts:

  • Performance objects and counters
  • Performance tool architecture
  • Performance Monitoring in Windows NT 4.0


Using Performance Logs and Alerts

This section describes:

  • Setting up a monitoring configuration
  • Choosing which counters to use


Performance Logs and Alerts

Performance Logs and Alerts supports detailed monitoring of the utilization of operating system resources.

  • Before monitoring your system, see Checklist: Monitoring performance.
  • To find features that have been changed in Windows XP, see New ways to do familiar tasks.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.